db upgrade /Validation failed: Name has already been taken/

2019-01-15 15:24 - SOE Redmine

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.0

Description

sh: 1: hg: not found

sh: 1: cvs: not found

sh: 1: bzr: not found

Environment:

  Redmine version                4.0.0.stable

  Ruby version                   2.5.3-p105 (2018-10-18) [x86_64-linux]

  Rails version                  5.2.2

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.8.10

  Git                            2.1.4

  Filesystem

Redmine plugins:

  client_config                  0.0.1

 Dear All!

I update the redmine from:

3.1.2 stable to 4.0.0

I removed all of the custom plugins from the new redmine's plugins directory.

After database update command a i got this: "bundle install --without development test rmagick"

== 20170418090031 AddViewNewsToAllExistingRoles: migrating ====================

rake aborted!

StandardError: An error has occurred, all later migrations canceled:

Validation failed: Name has already been taken

History

#1 - 2019-01-28 14:16 - Matt V

hi!

I found your issue while searching for a solution to my redmine upgrade problem (3.4.8.stable.17840 -> 4.0.1)

Unfortunately I did not receive the same error as you but I'd advise you to upgrade your redmine including all steps so that you end up with the last

3.4 version (3.4.8). As 3.1 is very far away from 4.0 I'd suggest that you make a fresh install of redmine 4.0.

Kind Regards,

Matt

#2 - 2019-01-28 14:21 - SOE Redmine

Hi!

Thank you for the suggestion. I found the problem. In the database there were rows starts with "Non Member" Roles. I had to delete these rows, and

the db upgrade finished without error.
So i could upgrade from 3.1.2 to 4.0.1 in one step.

Best regards,

T

#3 - 2019-01-28 14:21 - SOE Redmine

- Status changed from New to Resolved

#4 - 2019-01-28 14:29 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you all for your feedback. I'm closing this ticket.

#5 - 2019-01-28 14:29 - Marius BĂLTEANU

- Description updated
